{% extends 'admin/base.html.twig' %}

{% block title %}Hello AdminCommentController!{% endblock %}

{% block body %}

<div class="container-fluid">
<h1 class="my-5">gestion des comments</h1>
<table class="table table-hover">
<thead>
<tr>
<th>id</th>
<th>date</th>
<th>auteur</th>
<th>comment</th>
<th>note</th>
<th>annonce</th>
<th></th>
</tr></thead>
<tbody>
{%for comment in pagination.data%}
<tr>
<td>{{comment.id}}</td>
<td>{{comment.createdAt | date('d/m/Y H:i')}}</td>
<td><img src="../{{comment.author.picture}}" width=20px>{{comment.author.firstName}}</td>
<td>{{comment.content}}</td>
<td>{{comment.rating}}</td>
<td>{{comment.ad.title}}</td>
<td><a href="{{path('admin_comment_edit',{'id':comment.id})}}" class="btn btn-primary">edit</a>
<a href="{{path('admin_comment_delete',{'id':comment.id})}}" class="btn btn-danger">delete</a>
</td>
</tr>
{%endfor%}
</tbody>
</table>
{{ pagination.display() }}
</div>
{% endblock %}
